Subject: [edu-team] Document Lifecycle Tutorial (IETF 72)

From: Alice Hagens <[email-masked]>
Date: Tue, 12 Aug 2008 12:15:31 -0700

Edu team,

FYI, the following message was sent to the 79 people who signed in at  
the Document Lifecycle Tutorial in Dublin. (We created a sign-in  
sheet, as blue sheets are not given for tutorial sessions.)

Comments/corrections to the slides or Q&A summary are welcome.

Thanks,

Alice
for the RFC Editor

Begin forwarded message:

> From: Alice Hagens <[email-masked]>
> Date: August 12, 2008 9:43:45 AM PDT
> To: Margaret Wasserman <[email-masked]>
> Subject: Document Lifecycle Tutorial (IETF 72)
>
> Greetings,
>
> Thank you for attending the Document Lifecycle Tutorial at IETF 72.  
> The slides are available here:
>
>    http://www.rfc-editor.org/rfc-editor/lifecycle.pdf
>
> A summary of the questions & answers is below. Please email us with  
> any questions or comments.
>
> Thank you.
>
> Margaret Wasserman & Alice Hagens
>
> -----------------------------------------------------
> // Q&A at the Document Lifecycle Tutorial
> // IETF 72  (27 July 2008)
>
> Q1: What is the advantage of using XML?  Does the RFC Editor
> publish the .xml and .txt files?
>
> A1: No, the RFC Editor does not publish the .xml files.  The .xml
> files are archived, but the .nroff and .txt are the official source
> and text files.
>
> Q1.1: So, it's only the Internet-Drafts that publish .xml files?
>
> A1.1: Yes, the IESG secretariat posts .xml files if they have been
> submitted via the I-D submission tool (https://datatracker.ietf.org/
> idst/upload.cgi).  The RFC Editor will retrieve this source file
> and use it to edit the RFC.
>
>
> Q2:  Can I present my draft to the working group (WG) before the WG
> chair approves it as a work item for the WG?
>
> A2: You can submit your document to the WG chair for review.  If
> the WG chair thinks it's relevant to the WG, s/he may ask you
> present it to the WG.
>
> Q2.2: Does "present" mean on the mailing list or in person?
>
> A2.2: You can submit whatever you like to the WG chair.  However,
> you can't discuss the topic on the list or present to the WG unless
> the WG chairs think it's relevant to the WG.  If this is the case,
> the WG may pick the document up as a work item if it's within the
> WG charter (or the WG chair may try to update the charter to
> include this work).
>
>
> Q3: I submitted version 00 of my document, and want to update it to
> version 01.  Should I wait until after IETF because the I-D
> submission tool is not accepting documents?
>
> A3: The  I-D submission tool reopens Monday. It closes around each
> IETF meeting.
>
> Q3.3: Does it matter when the working group meets?
>
> A3.3: If the WG chair has asked you to update the document for X,
> Y, or Z, reasons, then update the document.  However, there has
> been no such request, it is better to wait until after the WG has
> met so that everyone is discussing (working off of) the same version.
>
>
> Q4: How do you know what category (e.g., standards track,
> informational) your draft should be?
>
> A4: If you're going through a working group, talk with the WG
> chairs.  It also depends on the charter (i.e., the charter may
> specify the status of certain works).
>
>
> Q5: What do I do if I have a problem with the I-D submission tool?
>
> A5: You should mail [email-masked].

_______________________________________________
edu-team mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/edu-team

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 13 Aug 2008 09:19:41 +1200

Hi Alice,

> WG charter (or the WG chair may try to update the charter to

I don't think that "you can't discuss the topic on the list"
is quite right. Although it's certainly within the WG Chairs'
realm to declare a thread to be off-topic, it's really only their
judgement of WG consensus. So the following sequence is perfectly OK.

A: I've just posted draft-a-stupid-idea. It suggests a new solution
to foobar. What do people think?

B, C and D: various comments

E, F, G, and H: Hey, what has this got to do with the WG charter??

X, Y, and Z: Nothing whatever! Can we drop this?

WG Chair: Hi. There seems to be a consensus that this is off topic.
If you want to continue discussion, please take it off the list.
It won't be on the agenda in Minneapolis.

So, I think a better answer to the question is

A2.2. You can suggest what you like for WG discussion, but it
only becomes a WG item if there is agreement that it fits
within the charter and if there is rough consensus from the WG.
The chairs can state that a discussion is off-topic for the mailing
list, and the chairs decide what goes on the meeting agenda,
according to their judgment of the WG consensus. (Also, there
could be consensus to update the WG charter to include this work.)

   Brian

---

From: Alice Hagens <[email-masked]>
Date: Wed, 13 Aug 2008 10:35:28 -0700

Thanks, Brian. I will send a correction to the attendees, pending  
word from Margaret. I was confused about this point -- might be worth  
the clarification.

Alice

---

From: Margaret Wasserman <[email-masked]>
Date: Wed, 13 Aug 2008 15:48:00 -0400

I think it makes sense to clarify this, as Brian has indicated.

Margaret

On Aug 13, 2008, at 1:35 PM, Alice Hagens wrote:

> word from Margaret. I was confused about this point -- might be  
> worth the clarification.
>
> Alice
>